@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@400;500;700&display=swap");

.pagination {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
  margin-bottom: 10px;

  &-container {
    display: flex;
    list-style: none;
    background-color: #fff;
    box-shadow: 0 2px 8px rgb(0 0 0 / 20%);
    border-radius: 5px;
    padding: 5px 60px;
    font-size: 18px;
    font-weight: 500;
    font-family: "Nunito", sans-serif !important;

    .page,
    .prev,
    .next {
      color: #404040;
      padding: 5px 10px;
      margin: 0 5px;
      border-radius: 3px;
      cursor: pointer;
    }

    .prev,
    .next {
      font-weight: 700;
    }

    .page:hover,
    .prev:hover,
    .next:hover {
      background-color: #abb2b967;
      border-radius: 3px;
    }

    .active-page {
      background-color: #407fbe;
      color: #fff;
    }

    .disable {
      color: #b4b4b4;
      cursor: not-allowed;
    }

    .dots {
      color: #abb2b9;
      margin-top: 10px;
      cursor: default;
    }
  }
}

@media (min-width: 320px) and (max-width: 700px) {
  .pagination-container {
    .page,
    .prev,
    .next {
      padding: 6px 6px;
      margin: 0 3px;
    }

    .prev,
    .next {
      font-weight: 700;
    }

    .dots {
      margin-top: 6px;
    }
  }
}

@media (min-width: 320px) and (max-width: 600px) {
  .pagination {
    &-container {
      padding: 5px 10px;
      font-size: 10px;
    }
  }
}

@media (min-width: 601px) and (max-width: 700px) {
  .pagination {
    &-container {
      padding: 5px 20px;
      font-size: 12px;
    }
  }
}
